Bug 140674 - Dual Head no longer works in fc3 -- second monitor not activated
Dual Head no longer works in fc3 -- second monitor not activated
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
: 149878 (view as bug list)
Depends On:
Blocks: FC6Target FC6Desktop
  Show dependency treegraph
 
Reported: 2004-11-24 00:46 EST by P V
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-31 15:33:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/X11/xorg.conf for attempted dual head (3.43 KB, text/plain)
2004-11-24 00:51 EST, P V
no flags Details
/var/log/Xorg.0.log as requested (42.42 KB, text/plain)
2004-11-25 18:31 EST, P V
no flags Details
/var/log/Xorg.0.log.old -- just in case it might be useful (32.37 KB, text/plain)
2004-11-25 18:32 EST, P V
no flags Details
/etc/sysconfig/init (1005 bytes, text/plain)
2004-11-26 00:16 EST, P V
no flags Details
Modified xorg.conf (3.47 KB, text/plain)
2004-12-06 13:24 EST, Paul Nasrat
no flags Details
/var/log/Xorg.0.log (42.12 KB, text/plain)
2004-12-09 22:19 EST, P V
no flags Details

  None (edit)
Description P V 2004-11-24 00:46:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040927 Galeon/1.3.17

Description of problem:
Hi, I was running dual head on this hardware with fc2 without any
complications. After I installed fc3, the original
system-config-display would not accept "OK" once dual display was
checked on (see bug 136916)
Upgrading to system-config-display-1.0.24-1 solved that problem;
system-config-display now exits as though all is well, but restarting
X or rebooting does not activate the second monitor.

Version-Release number of selected component (if applicable):
system-config-display-1.0.24-1

How reproducible:
Always

Steps to Reproduce:
1. Verify that dual display is checked on
2. Reboot
3. Verify that display is only on one monitor.
    

Actual Results:  Mouse is limited to the boundaries of one screen
Second monitor says no signal and eventually enters powersaving mode.

Expected Results:  Second monitor should be active and cursor should
be able to traverse across to it. This worked in fc2 on this hardware.

Additional info:


Video Cards: AGP "RIVA TNT2" & PCI "ATI Radeon 7200"
Monitors: "Dell D1626HT" & Sony 420GS
$ rpm -q system-config-display
system-config-display-1.0.24-1
$ uname -a
Linux localhost.localdomain 2.6.9-1.678_FC3 #1 Mon Nov 15 18:28:07 EST
2004 i686 athlon i386 GNU/Linux
Comment 1 P V 2004-11-24 00:51:19 EST
Created attachment 107383 [details]
/etc/X11/xorg.conf for attempted dual head

see attached /etc/X11/xorg.conf for attempted dual head
Comment 2 Paul Nasrat 2004-11-24 09:12:36 EST
Do you have your fc2 xorg.conf?
Comment 3 Paul Nasrat 2004-11-24 09:15:51 EST
Also can you attach the Xorg.0.log for booting with this config.  Can
you also disable graphical boot and test (edit /etc/sysconfig/init or
edit the boot line in grub to remove for a boot rhgb).
Comment 4 P V 2004-11-24 12:29:56 EST
> Do you have your fc2 xorg.conf?

No, I did a fresh install. I will try the others later.
Comment 5 P V 2004-11-25 18:31:34 EST
Created attachment 107467 [details]
/var/log/Xorg.0.log  as requested
Comment 6 P V 2004-11-25 18:32:55 EST
Created attachment 107468 [details]
/var/log/Xorg.0.log.old  -- just in case it might be useful
Comment 7 P V 2004-11-26 00:16:04 EST
Created attachment 107471 [details]
/etc/sysconfig/init

Changed to 
#GRAPHICAL=yes
GRAPHICAL=no

and rebooted. It seems I got the usual behavior (graphical interface, single
monitor active.) Please advise.
Comment 8 Paul Nasrat 2004-12-06 13:24:54 EST
Created attachment 107974 [details]
Modified xorg.conf

Can you disable rhgb, and test with the attached xorg.conf.  Let me know what
the behaviour is and attach the Xorg.log from running this.
Comment 9 P V 2004-12-09 22:19:46 EST
Created attachment 108294 [details]
/var/log/Xorg.0.log

Below my grub.conf, I hope i disabled rhgb properly.
Video is still the same: one monitor only. *
# grub.conf generated by anaconda
#... comments deleted ...
default=0
timeout=5
splashimage=(hd1,0)/boot/grub/splash.xpm.gz
hiddenmenu
title Fedora Core (2.6.9-1.681_FC3)
	root (hd1,0)
#	kernel /boot/vmlinuz-2.6.9-1.681_FC3 ro root=LABEL=/1 rhgb quiet
	kernel /boot/vmlinuz-2.6.9-1.681_FC3 ro root=LABEL=/1	   quiet
	initrd /boot/initrd-2.6.9-1.681_FC3.img
title Fedora Core (2.6.9-1.678_FC3)
	root (hd1,0)
#	kernel /boot/vmlinuz-2.6.9-1.678_FC3 ro root=LABEL=/1 rhgb quiet
	kernel /boot/vmlinuz-2.6.9-1.678_FC3 ro root=LABEL=/1	   quiet
	initrd /boot/initrd-2.6.9-1.678_FC3.img
title Fedora Core (2.6.9-1.667)
	root (hd1,0)
#	kernel /boot/vmlinuz-2.6.9-1.667 ro root=LABEL=/1 rhgb quiet
	kernel /boot/vmlinuz-2.6.9-1.667 ro root=LABEL=/1      quiet
	initrd /boot/initrd-2.6.9-1.667.img
title Other
	rootnoverify (hd0,0)
	chainloader +1
Comment 10 Lane Inman 2004-12-22 20:24:23 EST
I have same problem on x86_64

lanei@etm.pdx.edu
Comment 11 Jim Parsons 2005-03-01 13:19:45 EST
*** Bug 149878 has been marked as a duplicate of this bug. ***
Comment 12 Adam Jackson 2006-03-03 10:31:24 EST
Mass update: move dual head bugs from FC5 to FC6, no way they can get fixed
before FC5 release at this point.
Comment 13 P V 2006-03-03 13:01:44 EST
I was able to *manually* set up my xorg.conf to do dual head on i586 and deal
and triple head on x86_64.

One smaller problem was that one of the monitor configs was wrong. 
I think it was the Sony, since it has lower limits, but it's best you check the
current code.

Below the correct numbers:
    ModelName    "DELL D1626HT"
        HorizSync    30.0 - 107.0
        VertRefresh  50.0 - 160.0
    ModelName    "Sony 420GS"
        HorizSync    30.0 - 96.0
        VertRefresh  48.0 - 120.0   # This line is correct
        VertRefresh  50.0 - 120.0   # This line helps multiple monitors play
well together.

However, system-config-display never sets up dual head correctly. 
It would tend to not permit necessary changes, like not act on the OK button,
but throw errors (sorry not included)
and now on a working handcrafted xorg.conf attempting to use
system-config-display generates errors like:

 Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 390, in ?
    hardware_state.merge_into(xconfig)
  File "/usr/lib64/python2.4/site-packages/rhpl/xhwstate.py", line 363, in
merge_into
    device = xf86config.lookupDevice(xconfig, screen.device)
  File "/usr/lib64/python2.4/site-packages/xf86config.py", line 128, in lookupDevice
    raise XF86SectionMissing("No device found with the identifier" + device_id)
xf86config.XF86SectionMissing    

but there would be similar errors when xorg.conf file was deleted or moved.
Comment 14 Matthias Clasen 2006-07-06 17:54:57 EDT
Add to FC6Destop tracker
Comment 15 Matthew Miller 2006-07-10 18:44:51 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 16 John Thacker 2006-10-31 15:33:01 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.